const express = require("express");
const router = express.Router();

const corsOriginController = require("../controllers/corsOriginsController");
const { authMiddleware } = require("../middlewares/authMiddleware");

router.get("/", corsOriginController.getData);
router.post("/", authMiddleware, corsOriginController.create);
router.put("/:id", authMiddleware, corsOriginController.update);
router.delete("/:id", authMiddleware, corsOriginController.remove);

module.exports = router;